/* TCHK 2.0 - Howard Kapustein's Turbo C library       12-3-88 */
/* Copyright (C) 1988, Howard Kapustein.  All rights reserved. */

/* ansihk.h  -  ANSI control header file */

#ifndef ANSI_HEADER
#define ANSI_HEADER 1

#include <howard.h>

#ifndef ANSI_COLORS
#define A_BLACK     30         /* foreground */
#define A_RED       31
#define A_GREEN     32
#define A_YELLOW    33
#define A_BLUE      34
#define A_MAGENTA   35
#define A_CYAN      36
#define A_WHITE     37
#define A_LBLACK    130         /* bright foreground */
#define A_LRED      131
#define A_LGREEN    132
#define A_LYELLOW   133
#define A_LBLUE     134
#define A_LMAGENTA  135
#define A_LCYAN     136
#define A_LWHITE    137

#define A_B_BLACK       40
#define A_B_RED         41
#define A_B_GREEN       42
#define A_B_YELLOW      43
#define A_B_BLUE        44
#define A_B_MAGENTA     45
#define A_B_CYAN        46
#define A_B_WHITE       47

#define A_UNDERLINE 34

#define ANSI_COLORS 1
#endif


/* function prototypes */
char *ansi_call(int subfunction, int parm1, int parm2, char *ansistring);
int ansifore(char code);            /* convert DOS foreground -> ansi code */
int ansiback(char code);            /* convert DOS background -> ansi code */

/*  Subfunctions:   1:  gotoxy(parm1,parm2)
                    2:  cursor_right
                    3:  cursor_left
                    4:  cursor_up
                    5:  cursor_down
                    6:  save_cursor_position
                    7:  restore_cursor_position
                    8:  cls()
                    9:  clear_eol()
                    10: set_foreground(parm1)
                    11: set_background(parm1)
                    12: clear_attributes         (plain, normal)
                    13: bold
                    14: faint
                    15: italic
                    16: blink
                    17: fast_blink
                    18: inverse
                    19: invisible
                    20: set_mode(parm1)
                    21: reset_mode(parm1)
                    22: wherexy()

 Subfunction 20: set_mode(parm1)

    MODE:   0-6     sets mode
             7      automatic text wrap at the end of the line
*/
#endif              /* ANSI_HEADER */
