/* TCHK 2.0 - Howard Kapustein's Turbo C library       12-3-88 */
/* Copyright (C) 1988, Howard Kapustein.  All rights reserved. */

/* keyboard.h  -  header file for KEYBOARD.C - keyboard input routines */

#ifndef KEYBOARD_HEADER
#define KEYBOARD_HEADER 1

#ifndef KEYBOARD_DEFINES
#define SHIFT_STATUS    *((byte far *) 0x417lu)    /* key shift status */
#define WAITFORKEY          1
#define kbdclear()          clear_typeahead()
#define KEYBOARD_DEFINES    1
#endif

/* function prototypes */
byte getk(boolean wait);      /* get key, like getchar() for IBM */
int inkey(boolean wait);      /* get key, returns ASCII + 256 for extended */
int inkeyc(boolean wait);     /* get key, returns ASCII + 256 for extended, all letters are Capitalized */
int inkeyscan(boolean wait);  /* get key, returns ASCII + 256 for extended, grey+ != + */
char getyn(int output);       /* get Yes/No, output = 0: no output */
char getlogical(int output);  /* get True/False, output = 0: no output */
char *getdatehk(void);        /* get date: 11/24/87 */
char *getdouble(void);        /* get double */
char *getint(void);           /* get integer */
char *getreal(int size, int decimal);          /* get real number */
char getc_match(boolean output, char *match);  /* get char, case matters, one of match */
char getci_match(boolean output, char *match); /* get char, case independent, one of match */
char getk_match(boolean output, char *match);  /* get key, one of match */
char *getstr(int size, char *pattern);  /* get a string, max size, pattern */
int getget(int col, int row, char *returnstr, int size, char *pattern,
           int argn, int argk[], char flags);   /* get a string, max size, pattern, with editing */
           /* Flags: xxxxBLRI = Bell, Left/Right trim on exit, Insert mode on to start */
#define BELL        0x08
#define TRIMLEFT    0x04
#define TRIMRIGHT   0x02
#define INSERTMODE  0x01
#define TRIMALL     TRIMLEFT|TRIMRIGHT
#define NOFLAGS     0x00
           
int clear_typeahead(void);        /* clears typeahead buffer, return # keys cleared */
void InsLock(boolean on);         /* toggle Insert on? */
void CapsLock(boolean on);        /* toggle Caps Lock on? */
void NumLock(boolean on);         /* toggle Num Lock on? */
void ScrollLock(boolean on);      /* toggle Scroll Lock on? */
int tocapkey(int k);       /* make keystroke uppercased */

#endif              /* KEYBOARD_HEADER */
