/* TCHK 2.0 - Howard Kapustein's Turbo C library       12-3-88 */
/* Copyright (C) 1988, Howard Kapustein.  All rights reserved. */

/* multihk.h  -  header file for multihk.h - multitasking routines */

#ifndef MULTIHK_HEADER
#define MULTIHK_HEADER  1

#include <howard.h>

/* NOTE: DESQ functions are really DESQview/TopView/TaskView */

#ifndef MULTI_DEFINES
typedef struct DESQmemory {
                int memavail;               /* memory available */
                int largestblockavail;      /* largest block available */
                int totalmem;               /* total memory */
            };
#define MULTI_DEFINES   1
#endif

/* function prototypes */
unsigned int DESQversion(void);         /* get version */
void DESQfreeCPU(void);                 /* give up CPU time */
boolean isDoubleDOS(void);              /* is Double DOS active */
void DoubleDOSTaskSwitch(boolean on);   /* set Double DOS task switching on/off */
unsigned int DoubleDOSGetVirtual(void); /* get Double DOS virtual screen address */
void DoubleDOSfreeCPU(byte slices);    /* gives up slices * 55ms */
void DESQMakeTone(int frequency, int duration); /* Make Tone under DESQview (Topview???) */
void DESQInternalStack(void);           /* switch to internal stack */
void DESQProgramStack(void);            /* switch back to program's stack */
void DESQexit(void);                    /* DESQview (Topview???) exit program */
void DESQcommonmem(struct DESQmemory *dm);  /* common memory available */
void DESQconvenmem(struct DESQmemory *dm);  /* conventional memory available */
void DESQexpandedmem(struct DESQmemory *dm);/* expanded memory available */
char DESQdispchar(char c);              /* display character on status line */

#endif              /* MULTIHK_HEADER */
